#ifndef _INSOFT_PORTABLE_TYPES_H_
#define _INSOFT_PORTABLE_TYPES_H_

#ifdef __cplusplus
extern "C" {
#endif

#ifdef WIN16
#define IS_PLATFORM_WINDOWS16
#endif /* WIN16 */

#ifdef WIN32
#define IS_PLATFORM_WINDOWS32
#endif /* WIN32 */

#if defined(IS_PLATFORM_WINDOWS16)

typedef int int16;
typedef unsigned int u_int16;
typedef long int int32;
typedef unsigned long u_int32;

#elif defined(IS_PLATFORM_WINDOWS32)

typedef short int16;
typedef unsigned short u_int16;
typedef int int32;
typedef unsigned int u_int32;

#else  /* !Windows */

typedef short int16;
typedef unsigned short u_int16;
typedef int int32;
typedef unsigned int u_int32;

#endif /* IS_PLATFORM_WINDOWS16 */

typedef int16 Bool16;

typedef char int8;
typedef unsigned char u_int8;

#ifdef __cplusplus
}
#endif

#endif /*_INSOFT_PORTABLE_TYPES_H_*/
