#ifndef _DVE_AV_XVIEW_H_
#define _DVE_AV_XVIEW_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <X11/Intrinsic.h>

/*
 * dveAVRegisterWithXView
 *   Registers event processing with the XView toolkit
 * Input : session : The session returned by dveAVOpenSession()
 * Output :
 * Return :
 * Notes :
 */
void dveAVRegisterWithXView(DveAVSession session, Xv_opaque win);


/*
 * dveAVUnregisterWithXView
 *   Unregisters event processing with the XView toolkit
 * Input : session : The session returned by dveAVOpenSession()
 * Output :
 * Return :
 * Notes :
 */
void dveAVUnregisterWithXView(DveAVSession session);



#ifdef __cplusplus
}
#endif

#endif /* _DVE_AV_XVIEW_H_ */
