/*
 * $RCSfile$
 * $Date$
 * $Revision$
 * $Locker$
 * 
 * Description:
 *  Declares the functions required to interface a DVE plugin with Xt.
 *
 * Requires:
 *  <dve/dve.h>
 *
 * Includes:
 *  <X11/Intrinsic.h>
 *
 * Implemented by:
 *  dveXt.c
 *
 * Functions:
 *  dveRegisterWithXt()
 *  dveUnregisterWithXt()
 *
 * Author:
 *  francis, ?? Feb 1994
 *
 * Change Log:
 *  $Log$
 */

#ifndef _DVE_XT_UTILITIES_H_
#define _DVE_XT_UTILITIES_H_

#define IS_IDENT_STRING "@(#) $Id$"
#include <ISident.h>

#ifdef __cplusplus
extern "C" {
#endif

#include <X11/Intrinsic.h>

int dveRegisterWithXt(DveSession dveSession, XtAppContext app_context);
int dveUnregisterWithXt(DveSession dveSession);

#ifdef __cplusplus
}
#endif

#endif /*_DVE_XT_UTILITIES_H_*/
