
/*******************************************************************************
       ISCameraToolPluginMotif.h
       This header file is included by ISCameraToolPluginMotif.c

*******************************************************************************/

#ifndef	_ISCAMERATOOLPLUGINMOTIF_INCLUDED
#define	_ISCAMERATOOLPLUGINMOTIF_INCLUDED


#include <stdio.h>

#ifdef MOTIF
#include <Xm/Xm.h>
#include <Xm/MwmUtil.h>
#include <Xm/MenuShell.h>
#endif /* MOTIF */

#include "UxXt.h"


#ifndef XKLOADDS
#define XKLOADDS
#endif /* XKLOADDS */

/*******************************************************************************
       The definition of the context structure:
       If you create multiple copies of your interface, the context
       structure ensures that your callbacks use the variables for the
       correct copy.

       For each swidget in the interface, each argument to the Interface
       function, and each variable in the Interface Specific section of the
       Declarations Editor, there is an entry in the context structure.
       and a #define.  The #define makes the variable name refer to the
       corresponding entry in the context structure.
*******************************************************************************/

typedef	struct
{
	Widget	Uxform1;
	Widget	Uxmenu1;
	Widget	Uxmenu1_p1;
	Widget	Uxmenu1_p1_b1;
	Widget	Uxmenu1_top_b1;
	Widget	Uxmenu1_p6;
	Widget	Uxmenu1_p6_b1;
	Widget	Uxmenu1_top_b4;
	Widget	Uxlocalform;
	Widget	Uxseparator1;
	Widget	Uxfooterframe;
	Widget	Uxfooterform;
	Widget	Uxleftfooterframe;
	Widget	Uxleftfooter;
	Widget	Uxrightfooterframe;
	Widget	Uxrightfooter;
	Widget	Uxremoteform;
	swidget	UxUxParent;
} _UxCtopLevelShell1;

#ifdef CONTEXT_MACRO_ACCESS
static _UxCtopLevelShell1      *UxTopLevelShell1Context;
#define form1                   UxTopLevelShell1Context->Uxform1
#define menu1                   UxTopLevelShell1Context->Uxmenu1
#define menu1_p1                UxTopLevelShell1Context->Uxmenu1_p1
#define menu1_p1_b1             UxTopLevelShell1Context->Uxmenu1_p1_b1
#define menu1_top_b1            UxTopLevelShell1Context->Uxmenu1_top_b1
#define menu1_p6                UxTopLevelShell1Context->Uxmenu1_p6
#define menu1_p6_b1             UxTopLevelShell1Context->Uxmenu1_p6_b1
#define menu1_top_b4            UxTopLevelShell1Context->Uxmenu1_top_b4
#define localform               UxTopLevelShell1Context->Uxlocalform
#define separator1              UxTopLevelShell1Context->Uxseparator1
#define footerframe             UxTopLevelShell1Context->Uxfooterframe
#define footerform              UxTopLevelShell1Context->Uxfooterform
#define leftfooterframe         UxTopLevelShell1Context->Uxleftfooterframe
#define leftfooter              UxTopLevelShell1Context->Uxleftfooter
#define rightfooterframe        UxTopLevelShell1Context->Uxrightfooterframe
#define rightfooter             UxTopLevelShell1Context->Uxrightfooter
#define remoteform              UxTopLevelShell1Context->Uxremoteform
#define UxParent                UxTopLevelShell1Context->UxUxParent

#endif /* CONTEXT_MACRO_ACCESS */

extern Widget	topLevelShell1;

/*******************************************************************************
       Declarations of global functions.
*******************************************************************************/

Widget	create_topLevelShell1( swidget _UxUxParent );

#endif	/* _ISCAMERATOOLPLUGINMOTIF_INCLUDED */
