
/*******************************************************************************
       mpApplicationShell.h
       This header file is included by mpApplicationShell.c

*******************************************************************************/

#ifndef	_MPAPPLICATIONSHELL_INCLUDED
#define	_MPAPPLICATIONSHELL_INCLUDED


#include <stdio.h>

#ifdef MOTIF
#include <Xm/Xm.h>
#include <Xm/MwmUtil.h>
#include <Xm/MenuShell.h>
#endif /* MOTIF */

#include "UxXt.h"


#ifndef XKLOADDS
#define XKLOADDS
#endif /* XKLOADDS */

/*******************************************************************************
       The definition of the context structure:
       If you create multiple copies of your interface, the context
       structure ensures that your callbacks use the variables for the
       correct copy.

       For each swidget in the interface, each argument to the Interface
       function, and each variable in the Interface Specific section of the
       Declarations Editor, there is an entry in the context structure.
       and a #define.  The #define makes the variable name refer to the
       corresponding entry in the context structure.
*******************************************************************************/

typedef	struct
{
	Widget	UxmpMainForm;
	Widget	UxmpMainMenu;
	Widget	UxmpMainMenu_File;
	Widget	UxmpMainMenu_File_Exit;
	Widget	UxmpMainMenu_File_button;
	Widget	UxmpTitleFrame;
	Widget	UxmpTitleLabel;
	Widget	UxmpTempFrame;
	Widget	UxmpTempForm;
	Widget	UxmpTempLabel;
	Widget	UxmpTempMinLabel;
	Widget	UxmpMaxTempLabel;
	Widget	UxmpPrefsFrame;
	Widget	UxmpPrefsForm;
	Widget	UxmpMusicLabel;
	Widget	UxmpMusicRowColumn;
	Widget	UxmpMsgFrame;
	Widget	UxmpMsgForm;
	Widget	UxmpFooterFrame;
	Widget	Uxform1;
	Widget	Uxframe1;
} _UxCmpApplicationShell;

#ifdef CONTEXT_MACRO_ACCESS
static _UxCmpApplicationShell  *UxMpApplicationShellContext;
#define mpMainForm              UxMpApplicationShellContext->UxmpMainForm
#define mpMainMenu              UxMpApplicationShellContext->UxmpMainMenu
#define mpMainMenu_File         UxMpApplicationShellContext->UxmpMainMenu_File
#define mpMainMenu_File_Exit    UxMpApplicationShellContext->UxmpMainMenu_File_Exit
#define mpMainMenu_File_button  UxMpApplicationShellContext->UxmpMainMenu_File_button
#define mpTitleFrame            UxMpApplicationShellContext->UxmpTitleFrame
#define mpTitleLabel            UxMpApplicationShellContext->UxmpTitleLabel
#define mpTempFrame             UxMpApplicationShellContext->UxmpTempFrame
#define mpTempForm              UxMpApplicationShellContext->UxmpTempForm
#define mpTempLabel             UxMpApplicationShellContext->UxmpTempLabel
#define mpTempMinLabel          UxMpApplicationShellContext->UxmpTempMinLabel
#define mpMaxTempLabel          UxMpApplicationShellContext->UxmpMaxTempLabel
#define mpPrefsFrame            UxMpApplicationShellContext->UxmpPrefsFrame
#define mpPrefsForm             UxMpApplicationShellContext->UxmpPrefsForm
#define mpMusicLabel            UxMpApplicationShellContext->UxmpMusicLabel
#define mpMusicRowColumn        UxMpApplicationShellContext->UxmpMusicRowColumn
#define mpMsgFrame              UxMpApplicationShellContext->UxmpMsgFrame
#define mpMsgForm               UxMpApplicationShellContext->UxmpMsgForm
#define mpFooterFrame           UxMpApplicationShellContext->UxmpFooterFrame
#define form1                   UxMpApplicationShellContext->Uxform1
#define frame1                  UxMpApplicationShellContext->Uxframe1

#endif /* CONTEXT_MACRO_ACCESS */

extern Widget	mpApplicationShell;
extern Widget	mpTempScale;
extern Widget	mpRockRadioButton;
extern Widget	mpBluesRadioButton;
extern Widget	mpCountryRadioButton;
extern Widget	mpDrinkMenu_pane;
extern Widget	mpDrinkMenu_Coke;
extern Widget	mpDrinkMenu_Pepsi;
extern Widget	mpDrinkMenu_Beer;
extern Widget	mpDrinkMenu_Tequila;
extern Widget	mpDrinkMenu_Water;
extern Widget	mpDrinkMenu;
extern Widget	mpMsgTextField;
extern Widget	mpSendpushButton;
extern Widget	mpShowpushButton;
extern Widget	mpCopypushButton;
extern Widget	scrolledWindowText1;
extern Widget	scrolledText1;
extern Widget	mpFooterLabel;

/*******************************************************************************
       Declarations of global functions.
*******************************************************************************/

Widget	create_mpApplicationShell( void );

#endif	/* _MPAPPLICATIONSHELL_INCLUDED */
