#ifndef _DVE_AV_AUDIO_LOW_H_
#define _DVE_AV_AUDIO_LOW_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <dve/AVCtl/audio.h>

typedef struct {
  u_int32 boardId;
  u_int32 numCompressions;

  DveAVAudioArgCompression compressions[1];
} DveAVAudioArgCompressionInfoLow;

typedef struct {
  int numBoards;
  DveAVAudioArgBoard boards[1];
} DveAVAudioArgBoardInfoLow;


typedef struct {
  u_int32 boardId;
  char name[64];
  DveLocalAudioInputDeviceMask inputs;
  DveLocalAudioOutputDeviceMask outputs;
  u_int32 maxActive;
  DveAVAudioArgCompressionInfoLow cinfo;
} DveAVAudioBoardLow;

typedef struct {
  int numBoards;
  DveAVAudioBoardLow boards[1];
} DveAVAudioArgAudioInfoLow;




#ifdef __cplusplus
}
#endif

#endif /* _DVE_AV_AUDIO_LOW_H_ */


  

