#ifndef _DVE_AV_VIDEO_LOW_H_
#define _DVE_AV_VIDEO_LOW_H_

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  u_int32 numBoards;
  
  DveAVVideoArgBoard boards[1];
} DveAVVideoArgBoardInfoLow;

typedef struct {
  u_int32 boardId;
  u_int32 numCompressions;

  DveAVVideoArgCompression compressions[1];
} DveAVVideoArgCompressionInfoLow;

typedef struct {
  u_int32 boardId;
  u_int32 numParams;   /* Number of throttle params */
  
  DveAVVideoArgThrottleParam params[1];
} DveAVVideoArgFavorInfoLow;

typedef struct {
  u_int32 boardId;
  u_int32 minBandwidth, maxBandwidth;  /* 0 if no limit */

  int numBandwidths;  /* Number of throttleable bandwidths */
  DveAVVideoArgBandwidth bandwidths[1];
} DveAVVideoArgBandwidthInfoLow;

typedef struct {
  int numBoards;
  int currentBoard;
  DveAVVideoBoard boards[1];

} DveAVVideoArgVideoBoardInfoLow;

#ifdef __cplusplus
}
#endif

#endif /* _DVE_AV_VIDEO_LOW_H_ */


  

