
/*******************************************************************************
       topLevelShell1.h
       This header file is included by topLevelShell1.c

*******************************************************************************/

#ifndef	_TOPLEVELSHELL1_INCLUDED
#define	_TOPLEVELSHELL1_INCLUDED


#include <stdio.h>

#ifdef MOTIF
#include <Xm/Xm.h>
#include <Xm/MwmUtil.h>
#include <Xm/MenuShell.h>
#endif /* MOTIF */

#include "UxXt.h"


#ifndef XKLOADDS
#define XKLOADDS
#endif /* XKLOADDS */

/*******************************************************************************
       The definition of the context structure:
       If you create multiple copies of your interface, the context
       structure ensures that your callbacks use the variables for the
       correct copy.

       For each swidget in the interface, each argument to the Interface
       function, and each variable in the Interface Specific section of the
       Declarations Editor, there is an entry in the context structure.
       and a #define.  The #define makes the variable name refer to the
       corresponding entry in the context structure.
*******************************************************************************/

typedef	struct
{
	Widget	Uxform1;
	Widget	Uxmenu1;
	Widget	Uxmenu1_p1;
	Widget	Uxmenu1_p1_b1;
	Widget	Uxmenu1_top_b1;
	Widget	Uxlocalform;
	Widget	Uxlabel1;
	Widget	Uxseparator1;
	Widget	Uxremoteform;
	Widget	UxscrolledWindowList1;
	Widget	Uxlabel2;
	Widget	Uxfooterframe;
	Widget	Uxform2;
	Widget	Uxframe1;
	Widget	Uxform3;
	swidget	UxUxParent;
} _UxCtopLevelShell1;

#ifdef CONTEXT_MACRO_ACCESS
static _UxCtopLevelShell1      *UxTopLevelShell1Context;
#define form1                   UxTopLevelShell1Context->Uxform1
#define menu1                   UxTopLevelShell1Context->Uxmenu1
#define menu1_p1                UxTopLevelShell1Context->Uxmenu1_p1
#define menu1_p1_b1             UxTopLevelShell1Context->Uxmenu1_p1_b1
#define menu1_top_b1            UxTopLevelShell1Context->Uxmenu1_top_b1
#define localform               UxTopLevelShell1Context->Uxlocalform
#define label1                  UxTopLevelShell1Context->Uxlabel1
#define separator1              UxTopLevelShell1Context->Uxseparator1
#define remoteform              UxTopLevelShell1Context->Uxremoteform
#define scrolledWindowList1     UxTopLevelShell1Context->UxscrolledWindowList1
#define label2                  UxTopLevelShell1Context->Uxlabel2
#define footerframe             UxTopLevelShell1Context->Uxfooterframe
#define form2                   UxTopLevelShell1Context->Uxform2
#define frame1                  UxTopLevelShell1Context->Uxframe1
#define form3                   UxTopLevelShell1Context->Uxform3
#define UxParent                UxTopLevelShell1Context->UxUxParent

#endif /* CONTEXT_MACRO_ACCESS */

extern Widget	topLevelShell1;
extern Widget	textField1;
extern Widget	localscale;
extern Widget	scrolledList1;
extern Widget	textField2;
extern Widget	remotescale;
extern Widget	footerlabel;

/*******************************************************************************
       Declarations of global functions.
*******************************************************************************/

Widget	create_topLevelShell1( swidget _UxUxParent );

#endif	/* _TOPLEVELSHELL1_INCLUDED */
