/*
 * $RCSfile$
 * $Date$
 * $Revision$
 * $Locker$
 * 
 * Description:
 *  Declares the functions required to interface a DVE plugin with XView.
 *
 * Requires:
 *  <dve/dve.h>
 *
 * Includes:
 *  <X11/Intrinsic.h>
 *
 * Implemented by:
 *  dveXView.c
 *
 * Functions:
 *  dveRegisterWithXView()
 *  dveUnregisterWithXView()
 *
 * Author:
 *  francis, ?? Feb 1994
 *
 * Change Log:
 *  $Log$
 */
#ifndef _DVE_XVIEW_UTILITIES_H_
#define _DVE_XVIEW_UTILITIES_H_

#ifdef __cplusplus
extern "C" {
#endif

#define IS_IDENT_STRING "@(#) $Id$"
#include <ISident.h>

#include <X11/Intrinsic.h>

int dveRegisterWithXView(DveSession dveSession, Xv_opaque win);
int dveUnregisterWithXView(DveSession dveSession);

#ifdef __cplusplus
}
#endif

#endif /*_DVE_XVIEW_UTILITIES_H_*/
