#ifndef _DVE_CLIPBOARD_LOW_H_
#define _DVE_CLIPBOARD_LOW_H_

#ifdef __cplusplus
extern "C" {
#endif

/*
 * NOTE: I put in the spaceholder for the sizeof() XGCValues since
 * leaving it out caused many problems - rhp.
 */
#if 1
#include <X11/Xlib.h>
typedef Drawable DveClipDrawable;
#else
typedef u_int32 DveClipDrawable;
#endif

typedef char DveClipboardName[16];
typedef char DveClipFormatName[16];

static DveClipboardName dveClipStdName="Clipboard";

typedef struct {
  DveClipFormatName format;
  u_int32 datalen;
  char data[1];
} DveClipItem;

typedef struct {
  DveClipFormatName format;
  DveClipDrawable drawable;
#if 1
  u_int32 valuemask;
  XGCValues values;
#else
  u_int32 valuemask;
  char	  values[92];
#endif
} DveClipRenderArg;

#ifdef __cplusplus
}
#endif

#endif /*_DVE_CLIPBOARD_LOW_H_*/
