/*
 * $RCSfile$
 * $Date$
 * $Revision$
 * $Locker$
 * 
 * Description:
 *  Declares data types needed in common between <dve/_packetFiltering.h>
 *   (the packet filtering protocol) and <dve/packetFiltering.h> (the packet
 *   filtering API)--i.e., data types that go over the wire and which are
 *   exposed directly to the application.
 *
 * Requires:
 *
 * Includes:
 *
 * Implemented by:
 *  See <dve/packetFiltering.h>.
 *
 * Classes:
 *
 * Types:
 *
 * Functions:
 *
 * Variables:
 *
 * Macros:
 *
 * Author:
 *  francis, 16 March 1995
 *
 * Known Bugs:
 *
 * Notes:
 *
 * Change Log:
 *  $Log$
 */
#ifndef _DVE_PACKET_FILTERING_LOW_H_
#define _DVE_PACKET_FILTERING_LOW_H_

#ifdef __cplusplus
extern "C" {
#endif

#define IS_IDENT_STRING "@(#) $Id$"
#include <ISident.h>

typedef enum {
  dvePacketFilteringStateInvalid=0,
  dvePacketFilteringStateDefault,    /* Fall back to global default */
  dvePacketFilteringStateBlocked,    /* Block traffic               */
  dvePacketFilteringStateAvailable   /* Do not block traffic        */
} DvePacketFilteringState;

#ifdef __cplusplus
}
#endif

#endif /*_DVE_PACKET_FILTERING_LOW_H_*/
