/* Program to test the capabilities of the AV Engine. */
#include <stdio.h>

#define _MAIN_PROG_

#include "menu.h"

enum {True=1, False=0};

main(int argc, char **argv)
{
  DveSession dveSession;
  DveAVSession session;
  DveAVVideoArgBoard board;
  int index;
  DveAVTransportArg arg;

  ISerror_init(argv[0]);

  if ((dveSession = dveOpenSession(0)) == 0) {
    ISerrorMsg("Cannot open DveSession!");
    exit(1);
  }


  if ((session = dveAVOpenSession(dveAVConnectionModeFull,
				  dveSession, False)) == 0) {
    ISerrorMsg("Cannot open AV session!");
    exit(1);
  }

  fprintf(stderr, "Connection successful!\n");

  init();
  execMenu(&mainMenu, session);
}




