enum {True=1, False=0};

#include <stdio.h>
#include "menu.h"

void clear()
{
  system("clear");
}

void execMenu(Menu *menu, DveAVSession session)
{
  int i;
  char s[80];
  int n;
  int exitM = False;

 start:
  clear();
  fprintf(stderr, "************************ %s ************************\n",
	  menu->name);

  if (menu->initial) {
    if ((*menu->initial) (session) == False)
      return;
  }
  
  for (n = 0; menu->items[n].message; n++) 
    fprintf(stderr, "%d. %s\n", n+1, menu->items[n].message);

  if (n) {
    fprintf(stderr, "\nEnter the number of your choice-> ");
    gets(s);

    if ((i = atoi(s)) <= 0 || i > n) {
      fprintf(stderr, "That was an invalid choice. Press enter to continue->");
      gets(s);
      goto start;
    }
  
    i--;
    if (menu->items[i].subMenu)
      execMenu(menu->items[i].subMenu, session);
    else if (menu->items[i].handler) {
      if ((*menu->items[i].handler) (session) == False)
	exitM = True;
      else if (menu->final)
	(*menu->final) (session);
    }

  }

  /* We cannot monitor dve events as often as we'd like to, so we do it after
   * each menu component is executed
   */
  if (!exitM) {
    fd_set fds;
    int maxFd;
    struct timeval timeout;

    timeout.tv_sec = 0;
    timeout.tv_usec = 500000;

    fprintf(stderr, "\nProcessing AV Events....\n");
    maxFd = dveAVSetFds(session, &fds);

    select(maxFd+1, (int *) &fds, 0, 0, &timeout);
    dveAVProcessFds(session, &fds);
  }

  if (!exitM)
    goto start;
}



