
/*******************************************************************************
       mpApplicationShell.h
       This header file is included by mpApplicationShell.c

*******************************************************************************/

#ifndef	_MPAPPLICATIONSHELL_INCLUDED
#define	_MPAPPLICATIONSHELL_INCLUDED


#include <stdio.h>

#ifdef MOTIF
#include <Xm/Xm.h>
#include <Xm/MwmUtil.h>
#include <Xm/MenuShell.h>
#endif /* MOTIF */

#include "UxXt.h"


#ifndef XKLOADDS
#define XKLOADDS
#endif /* XKLOADDS */

/*******************************************************************************
       The definition of the context structure:
       If you create multiple copies of your interface, the context
       structure ensures that your callbacks use the variables for the
       correct copy.

       For each swidget in the interface, each argument to the Interface
       function, and each variable in the Interface Specific section of the
       Declarations Editor, there is an entry in the context structure.
       and a #define.  The #define makes the variable name refer to the
       corresponding entry in the context structure.
*******************************************************************************/

typedef	struct
{
	Widget	UxmpMainMenu_File_Copy;
	Widget	UxmpMainMenu_File_Exit;
} _UxCmpApplicationShell;

#ifdef CONTEXT_MACRO_ACCESS
static _UxCmpApplicationShell  *UxMpApplicationShellContext;
#define mpMainMenu_File_Copy    UxMpApplicationShellContext->UxmpMainMenu_File_Copy
#define mpMainMenu_File_Exit    UxMpApplicationShellContext->UxmpMainMenu_File_Exit

#endif /* CONTEXT_MACRO_ACCESS */

extern Widget	mpApplicationShell;
extern Widget	mpMainForm;
extern Widget	mpMainMenu;
extern Widget	mpMainMenu_File;
extern Widget	mpMainMenu_File_button;
extern Widget	mpFooterFrame;
extern Widget	form1;
extern Widget	frame1;
extern Widget	mpFooterLabel;
extern Widget	mpDrawingFrame;
extern Widget	mpDrawingForm;
extern Widget	frame2;
extern Widget	drawingArea1;

/*******************************************************************************
       Declarations of global functions.
*******************************************************************************/

Widget	create_mpApplicationShell( void );

#endif	/* _MPAPPLICATIONSHELL_INCLUDED */
