
/*******************************************************************************
       rpApplicationShell.h
       This header file is included by rpApplicationShell.c

*******************************************************************************/

#ifndef	_RPAPPLICATIONSHELL_INCLUDED
#define	_RPAPPLICATIONSHELL_INCLUDED


#include <stdio.h>

#ifdef MOTIF
#include <Xm/Xm.h>
#include <Xm/MwmUtil.h>
#include <Xm/MenuShell.h>
#endif /* MOTIF */

#include "UxXt.h"


#ifndef XKLOADDS
#define XKLOADDS
#endif /* XKLOADDS */

/*******************************************************************************
       The definition of the context structure:
       If you create multiple copies of your interface, the context
       structure ensures that your callbacks use the variables for the
       correct copy.

       For each swidget in the interface, each argument to the Interface
       function, and each variable in the Interface Specific section of the
       Declarations Editor, there is an entry in the context structure.
       and a #define.  The #define makes the variable name refer to the
       corresponding entry in the context structure.
*******************************************************************************/

typedef	struct
{
	Widget	UxrecipTestMainForm;
	Widget	UxrecipTestMainMenu;
	Widget	UxrecipTestMainMenu_File;
	Widget	UxrecipTestMainMenu_File_Exit;
	Widget	UxmenuBar_top_File;
	Widget	UxrecipTestMainMenu_Members;
	Widget	UxrecipTestMainMenu_Members_List;
	Widget	UxrecipTestMainMenu_Members_SelectAll;
	Widget	UxrecipTestMainMenu_Members_DeselectAll;
	Widget	UxrecipTestMainMenu_top_Members;
	Widget	UxrecipTestMultiLabel;
	Widget	UxrecipTestSingleLabel;
	Widget	Uxframe1;
	Widget	Uxform1;
	Widget	UxrecipTestSingleListScrolledWindow;
	Widget	UxrecipTestListScrolledWindow;
	swidget	UxUxParent;
} _UxCrecipTestAppShell;

#ifdef CONTEXT_MACRO_ACCESS
static _UxCrecipTestAppShell   *UxRecipTestAppShellContext;
#define recipTestMainForm       UxRecipTestAppShellContext->UxrecipTestMainForm
#define recipTestMainMenu       UxRecipTestAppShellContext->UxrecipTestMainMenu
#define recipTestMainMenu_File  UxRecipTestAppShellContext->UxrecipTestMainMenu_File
#define recipTestMainMenu_File_Exit UxRecipTestAppShellContext->UxrecipTestMainMenu_File_Exit
#define menuBar_top_File        UxRecipTestAppShellContext->UxmenuBar_top_File
#define recipTestMainMenu_Members UxRecipTestAppShellContext->UxrecipTestMainMenu_Members
#define recipTestMainMenu_Members_List UxRecipTestAppShellContext->UxrecipTestMainMenu_Members_List
#define recipTestMainMenu_Members_SelectAll UxRecipTestAppShellContext->UxrecipTestMainMenu_Members_SelectAll
#define recipTestMainMenu_Members_DeselectAll UxRecipTestAppShellContext->UxrecipTestMainMenu_Members_DeselectAll
#define recipTestMainMenu_top_Members UxRecipTestAppShellContext->UxrecipTestMainMenu_top_Members
#define recipTestMultiLabel     UxRecipTestAppShellContext->UxrecipTestMultiLabel
#define recipTestSingleLabel    UxRecipTestAppShellContext->UxrecipTestSingleLabel
#define frame1                  UxRecipTestAppShellContext->Uxframe1
#define form1                   UxRecipTestAppShellContext->Uxform1
#define recipTestSingleListScrolledWindow UxRecipTestAppShellContext->UxrecipTestSingleListScrolledWindow
#define recipTestListScrolledWindow UxRecipTestAppShellContext->UxrecipTestListScrolledWindow
#define UxParent                UxRecipTestAppShellContext->UxUxParent

#endif /* CONTEXT_MACRO_ACCESS */

extern Widget	recipTestAppShell;
extern Widget	label1;
extern Widget	recipTestSingleList;
extern Widget	recipTestList;

/*******************************************************************************
       Declarations of global functions.
*******************************************************************************/

Widget	create_recipTestAppShell( swidget _UxUxParent );

#endif	/* _RPAPPLICATIONSHELL_INCLUDED */
